// $Id: calc.cc,v 1.8 1998/08/17 19:49:54 cthulhu Exp $

#include "calc.hh"

Parser *act_parser;


Parser::Parser() {

}

int Parser::parse(char *st,short col, short row) {
    set_string_to_parse(st);
    
    act_parser = this;

    parse_return_code = PARSE_OK;

    yyparse();
    yyrestart(stdin);    
    call_to_xxl_input = 0;

    if (parse_return_code == PARSE_ERROR)
        return(PARSE_ERROR);
    
    return(code);
}

/* 
$Log: calc.cc,v $
Revision 1.8  1998/08/17 19:49:54  cthulhu
Released alpha version.

// Revision 1.7  1996/01/30  16:05:36  aml
// User interface for cell and range copy created.
// Improved user interface state machine when entering and viewing cells.
// Fixed unaligned accesses during formula parsing and io operations.
//
// Revision 1.6  1996/01/07  09:07:20  aml
// Sheet::save and Sheet::load created.
// Program can now write and read wk1 files.
// Slight changes made to relative references. Bit 14 is now always 0.
//
// Revision 1.5  1996/01/03  23:07:00  aml
// Absolute and relative references to cells introduced.
// They are parsed and reverse parsed, not yet evaluated.
//
// Revision 1.4  1996/01/02  16:22:02  aml
// Formula compilation, evaluation and decompilation now work.
// Cells can be of type label, numerical formula or numbers.
//
// Revision 1.3  1995/12/30  16:40:19  aml
// First cut of formula compilation.
//
// Revision 1.2  1995/12/28  19:20:29  aml
// Created skeleton to merge calculation engine
//
// Revision 1.1  1995/12/28  18:34:51  aml
// Initial revision
//
*/
